--Filters
SET IDENTITY_INSERT [dbo].[Filters] ON 

if not exists(select 1 from [dbo].[Filters])
BEGIN
	INSERT [dbo].[Filters] ([Id], [Description], [ClassName]) VALUES (1, N'Default pass through filter', N'ESI.EventUploader.BE.Filters.DefaultFilter, ESI.EventUploader.BE')
	INSERT [dbo].[Filters] ([Id], [Description], [ClassName]) VALUES (2, N'Allowed event codes json based filter', N'ESI.EventUploader.BE.Filters.JsonFilter, ESI.EventUploader.BE')
END
SET IDENTITY_INSERT [dbo].[Filters] OFF

--Transmitters
SET IDENTITY_INSERT [dbo].[Transmitters] ON 

if not exists(select 1 from [dbo].[Transmitters])
BEGIN
	INSERT [dbo].[Transmitters] ([Id], [Description], [ClassName]) VALUES (1, N'DefaultJsonTransmitter', N'ESI.EventUploader.Transmitters.DefaultJsonTransmitter, ESI.EventUploader')
	INSERT [dbo].[Transmitters] ([Id], [Description], [ClassName]) VALUES (2, N'StagesXmlTransmitterStagesXmlTransmitter', N'ESI.EventUploader.Transmitters.StagesXmlTransmitter, ESI.EventUploader')
	INSERT [dbo].[Transmitters] ([Id], [Description], [ClassName]) VALUES (3, N'KafkaTransmitter', N'ESI.EventUploader.Transmitters.KafkaTransmitter, ESI.EventUploader')
END
SET IDENTITY_INSERT [dbo].[Transmitters] OFF

--Formatters
SET IDENTITY_INSERT [dbo].[Formatters] ON 

if not exists(select 1 from [dbo].[Formatters])
BEGIN
	INSERT [dbo].[Formatters] ([Id], [Description], [ClassName], [FormatterType]) VALUES (1, N'EupHcEventsApi', N'ESI.EventUploader.Formatters.EupHcEventsApi.EventsApiFormatter, ESI.EventUploader.Formatters.EupHcEventsApi', 1)
	INSERT [dbo].[Formatters] ([Id], [Description], [ClassName], [FormatterType]) VALUES (2, N'HeartBeatEupHcEventsApi', N'ESI.EventUploader.Formatters.EupHcEventsApi.HBEventsApiFormatter, ESI.EventUploader.Formatters.EupHcEventsApi', 2)
	INSERT [dbo].[Formatters] ([Id], [Description], [ClassName], [FormatterType]) VALUES (3, N'AhRawDataFormatter', N'ESI.EventUploader.Formatters.AhRawData.AhRawDataFormatter, ESI.EventUploader.Formatters.AhRawData', 1)
END

SET IDENTITY_INSERT [dbo].[Formatters] OFF


--Subscribers
SET IDENTITY_INSERT [dbo].[Subscribers] ON 

if not exists(select 1 from [dbo].[Subscribers])
BEGIN
	INSERT [dbo].[Subscribers] ([Id], [Description], [FilterId], [TransmitterId], [FormatterId], [HeartbeatFormatterId], [HeartbeatTransmitterId], [MessageType], [HeartBeatMessageType], [ServiceBrokerType], [LogicUnitId], [ModuleIdentifier], [ServiceName], [ServiceIdentifier]) VALUES (1, N'Default Sub', 1, 1, 1, 2, 1, N'System.String', N'System.String', N'Publisher', N'Subscriber1', N'ServiceBroker', N'EventUploader', N'EUPInternalSubscriber1')
	INSERT [dbo].[Subscribers] ([Id], [Description], [FilterId], [TransmitterId], [FormatterId], [HeartbeatFormatterId], [HeartbeatTransmitterId], [MessageType], [HeartBeatMessageType], [ServiceBrokerType], [LogicUnitId], [ModuleIdentifier], [ServiceName], [ServiceIdentifier]) VALUES (2, N'2nd Test Sub', 1, 1, 1, 2, 1, N'System.String', N'System.String', NULL, NULL, NULL, NULL, NULL)
END
SET IDENTITY_INSERT [dbo].[Subscribers] OFF




